## de.ix.jspTutorial.util
Class Null

    java.lang.Object
      |
      +--de.ix.jspTutorial.util.Null

public final class Null
extends java.lang.Object

Class to encapsulate `null` in an object. This class is a singleton.

Version:
  $Id:$
Author:
  Peter Roßbach

Field Summary
`private static java.lang.Object` `theNull` The internal `null`

Constructor Summary
`private` `Null()` Private constructor.

Method Summary
`static java.lang.Object` `Null()` Delivers a unique object wihout any content.
`java.lang.String` `toString()` Returns `null`.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### theNull

    private static java.lang.Object theNull

  The internal `null`

Constructor Detail

### Null

    private Null()

  Private constructor.

Method Detail

### Null

    public static java.lang.Object Null()

  Delivers a unique object wihout any content.
  Returns:
    The Null-object

### toString

    public java.lang.String toString()

  Returns `null`.
  Overrides:
    toString in class java.lang.Object
  Returns:
    `null`

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~